using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Nappat.CsCreator
{
    public class WrongScriptException : Exception
    {
        public WrongScriptException()
        {
        }
        
        public WrongScriptException(string message)
            : base(message)
        {
        }
        
        public WrongScriptException(string message, int line)
            : base(message + Environment.NewLine + "Line: " + line)
        {
        }
        
        public WrongScriptException(string message, int line, int column)
            : base(message + Environment.NewLine + "Line: " + line + Environment.NewLine + "Column: " + column)
        {
        }
    }
}
